## fzy 0.9

=== Makefile ===
VERSION=0.9

CPPFLAGS=-DVERSION=\"${VERSION}\" -D_GNU_SOURCE
CFLAGS+=-Wall -Wextra -g -std=c99 -O3 -pedantic -Ideps
PREFIX?=/usr/local
MANDIR?=$(PREFIX)/share/man
BINDIR?=$(PREFIX)/bin
DEBUGGER?=

INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=${INSTALL} -m 644

LIBS=-lpthread
OBJECTS=src/fzy.o src/match.o src/tty.o src/choices.o src/options.o src/tty_interface.o
THEFTDEPS = deps/theft/theft.o deps/theft/theft_bloom.o deps/theft/theft_mt.o deps/theft/theft_hash.o
TESTOBJECTS=test/fzytest.c test/test_properties.c test/test_choices.c test/test_match.c src/match.o src/choices.o src/options.o $(THEFTDEPS)

all: fzy

test/fzytest: $(TESTOBJECTS)
	$(CC) $(CFLAGS) $(CCFLAGS) -Isrc -o $@ $(TESTOBJECTS) $(LIBS)

acceptance: fzy
	cd test/acceptance && bundle && bundle exec ruby acceptance_test.rb

test: check
check: test/fzytest
	$(DEBUGGER) ./test/fzytest

fzy: $(OBJECTS)
	$(CC) $(CFLAGS) $(CCFLAGS) -o $@ $(OBJECTS) $(LIBS)

%.o: %.c config.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

config.h:
	cp src/config.def.h config.h

install: fzy
	mkdir -p $(DESTDIR)$(BINDIR)
	cp fzy $(DESTDIR)$(BINDIR)/
	chmod 755 ${DESTDIR}${BINDIR}/fzy
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	cp fzy.1 $(DESTDIR)$(MANDIR)/man1/
	chmod 644 ${DESTDIR}${MANDIR}/man1/fzy.1

fmt:
	clang-format -i src/*.c src/*.h

clean:
	rm -f fzy test/fzytest src/*.o deps/*/*.o

veryclean: clean
	rm -f config.h

.PHONY: test check all clean veryclean install fmt acceptance

=== debian/changelog ===
fzy (0.9-1) unstable; urgency=medium

  * New upstream release (Closes: #860207).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 20 Apr 2017 09:38:07 +0800

fzy (0.8-1) unstable; urgency=medium

  * Initial release (Closes: #860004)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 11 Apr 2017 09:03:59 +0800

=== debian/control ===
Source: fzy
Section: utils
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://github.com/jhawthorn/fzy
Vcs-Git: https://anonscm.debian.org/collab-maint/fzy.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fzy.git

Package: fzy
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: fast, simple fuzzy text selector
 fzy is a fast, simple fuzzy text selector for the terminal with an
 advanced scoring algorithm.

## fzy 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.9
+VERSION=1.0
 
 CPPFLAGS=-DVERSION=\"${VERSION}\" -D_GNU_SOURCE
 CFLAGS+=-Wall -Wextra -g -std=c99 -O3 -pedantic -Ideps
@@ -22,7 +22,7 @@
 	$(CC) $(CFLAGS) $(CCFLAGS) -Isrc -o $@ $(TESTOBJECTS) $(LIBS)
 
 acceptance: fzy
-	cd test/acceptance && bundle && bundle exec ruby acceptance_test.rb
+	cd test/acceptance && bundle --quiet && bundle exec ruby acceptance_test.rb
 
 test: check
 check: test/fzytest

=== debian/changelog ===
fzy (1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump compat to 11.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 Jan 2019 19:20:44 +0800

=== debian/control ===
Source: fzy
Section: utils
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.3.0
Homepage: https://github.com/jhawthorn/fzy
Vcs-Git: https://salsa.debian.org/debian/fzy.git
Vcs-Browser: https://salsa.debian.org/debian/fzy

Package: fzy
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: fast, simple fuzzy text selector
 fzy is a fast, simple fuzzy text selector for the terminal with an
 advanced scoring algorithm.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PREFIX=/usr

%:
	dh $@

## fzy 1.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-VERSION=1.0
+VERSION=1.1
 
 CPPFLAGS=-DVERSION=\"${VERSION}\" -D_GNU_SOURCE
-CFLAGS+=-Wall -Wextra -g -std=c99 -O3 -pedantic -Ideps
+CFLAGS+=-MD -Wall -Wextra -g -std=c99 -O3 -pedantic -Ideps -Werror=vla
 PREFIX?=/usr/local
 MANDIR?=$(PREFIX)/share/man
 BINDIR?=$(PREFIX)/bin
@@ -34,7 +34,7 @@
 %.o: %.c config.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 
-config.h:
+config.h: src/config.def.h
 	cp src/config.def.h config.h
 
 install: fzy
@@ -49,9 +49,11 @@
 	clang-format -i src/*.c src/*.h
 
 clean:
-	rm -f fzy test/fzytest src/*.o deps/*/*.o
+	rm -f fzy test/fzytest src/*.o src/*.d deps/*/*.o
 
 veryclean: clean
 	rm -f config.h
 
 .PHONY: test check all clean veryclean install fmt acceptance
+
+-include $(OBJECTS:.o=.d)

=== debian/changelog ===
fzy (1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.7.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 28 Jul 2025 08:53:42 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: https://github.com/jhawthorn/fzy
 Vcs-Git: https://salsa.debian.org/debian/fzy.git
 Vcs-Browser: https://salsa.debian.org/debian/fzy

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jhawthorn/fzy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
